%define		PYVER	2.5
%{!?python_sitelib: %global python_sitelib %(%{__python}%{PYVER} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python}%{PYVER} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@cux-linux.de>

Name:		museek+
Summary:	soulseek P2P client
Version:	0.2
Release:	1
License:	GNU/GPL
URL:		http://www.museek-plus.org
Group:		Networking/File Transfer
Source0:	%{name}-%{version}.tar.bz2
Source250:	fixit
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Manual build dependencies
BuildRequires:	fam-devel
BuildRequires:	libogg-devel

#Automatically resolved build dependencies
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gamin-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: glibmm-devel
BuildRequires: libevent-devel
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libsigc++-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libxml++-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: openssl-devel
BuildRequires: python-devel
BuildRequires: qt4-devel
BuildRequires: zlib-devel

%description
Museek is a file-sharing application for the Soulseek peer-to-peer network.
Museek+ (or Museek-Plus) is an enhanced sourcecode tarball of Museek that
is now has Room Searching, Buddy-only shares, Interests.
New features in Museeq include the addition of Banlists,
Ignorelists, Icon Themes and Font/Color selecting.
Other assorted fixes, enhancements, and icons from
contributing Museek users are included. 

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
cp %{SOURCE250} .
./fixit --all

%build
mkdir build-i686
pushd build-i686
cmake ../. -DPREFIX=%{_prefix} -DMANDIR=%{_mandir} -DEVERYTHING=1
make %{?_smp_mflags}
popd

%install
rm -Rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd

%files
%defattr(-,root,root)
%_bindir
%_datadir/museek
%_applications
%_mandir
%_pixmaps
%_libdir/python%{PYVER}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri May 15 2009 Christian Wasem <wasem@ccux-linux.de> 0.2-1
- Version update, build with explicit /usr/bin/python2.5
* Mon Oct 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.11-1
- Initial Release
